<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <SignAssembly>false</SignAssembly>
    <UserSecretsId>354572d4-9e15-4099-807c-63a2d29ff9f2</UserSecretsId>
    <LangVersion>default</LangVersion>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    <Version>1.0.1.001</Version>
    <Company>上海展影医疗科技有限公司</Company>
    <Product>IRC影像系统 (EICS)</Product>
    <Copyright>上海展影医疗科技有限公司版权所有</Copyright>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>.\IRaCIS.Core.API.xml</DocumentationFile>
    <NoWarn>1701;1702;1591;1570;</NoWarn>
    <OutputPath>..\bin\</OutputPath>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DocumentationFile>bin\Release\IRaCIS.Core.API.xml</DocumentationFile>
    <OutputPath>bin\Release\</OutputPath>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>



  <ItemGroup>
    <Content Remove="web.config" />
    <Content Remove="wwwroot\swagger\ui\abp.js" />
    <Content Remove="wwwroot\swagger\ui\abp.swagger.js" />
    <Content Remove="wwwroot\swagger\ui\Index.html" />
  </ItemGroup>

  <ItemGroup>
    <None Remove=".preview.jpg" />
    <None Remove="GrpcToken.proto" />
    <None Remove="IRaCIS.Core.API.xml" />
    <None Remove="Protos\GrpcToken.proto" />
  </ItemGroup>

  <ItemGroup>
    <ApplicationDefinition Include="GrpcToken.proto" />
  </ItemGroup>
<ItemGroup>
    <EmbeddedResource Include="wwwroot\swagger\ui\abp.js">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="wwwroot\swagger\ui\abp.swagger.js">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="wwwroot\swagger\ui\Index.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <Protobuf Include="Protos\GrpcToken.proto">
      <GrpcServices>Client</GrpcServices>
    </Protobuf>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="aliyun-net-sdk-sts" Version="3.1.2" />
    <PackageReference Include="AspNetCoreRateLimit" Version="5.0.0" />
    <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="9.0.0" />
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="12.0.1" />
	<PackageReference Include="EasyCaching.Interceptor.Castle" Version="1.9.2" />
	<PackageReference Include="EasyCaching.Serialization.MessagePack" Version="1.9.2">
	  <TreatAsUsed>true</TreatAsUsed>
	</PackageReference>
	  <PackageReference Include="Hangfire.AspNetCore" Version="1.8.12" />
	  <PackageReference Include="Hangfire.Dashboard.BasicAuthorization" Version="1.0.2" />
	  <PackageReference Include="Hangfire.SqlServer" Version="1.8.12" />
    <PackageReference Include="Invio.Extensions.Authentication.JwtBearer" Version="2.0.1" />
    <PackageReference Include="LogDashboard" Version="1.4.8" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="8.0.5" />
    <PackageReference Include="Microsoft.Extensions.Hosting.WindowsServices" Version="8.0.0" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.20.1" />
    <PackageReference Include="Serilog.AspNetCore" Version="8.0.1" />
    <PackageReference Include="Serilog.Enrichers.ClientInfo" Version="2.0.3" />
    <PackageReference Include="Serilog.Sinks.File" Version="5.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerUI" Version="6.6.2" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\IRaCIS.Core.Application\IRaCIS.Core.Application.csproj" />
    <ProjectReference Include="..\IRaCIS.Core.Infra.EFCore\IRaCIS.Core.Infra.EFCore.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Include="..\.editorconfig" Link=".editorconfig" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="wwwroot\EmailTemplate\AdminAddUser_US.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\AdminResetUser_US.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\AdminResetUser.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\SubjectEnrollConfirmOrPDProgress_US.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\TrialDoctorExistJoin_US.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\TrialDoctorFirstJoin.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\TrialSiteSurveyReject.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\TrialSiteSurveyReject_US.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\TrialDoctorExistJoin.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\TrialUserExistJoin_US.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\TrialUserExistJoin.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\AdminAddUser.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\TrialDoctorFirstJoin_US.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\SubjectEnrollConfirmOrPDProgress.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\TrialUserFirstJoin_US.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\UserOptCommon_US.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\UserOptCommon.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\TrialUserFirstJoin.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Properties\PublishProfiles\" />
  </ItemGroup>

  <ProjectExtensions><VisualStudio><UserProperties properties_4launchsettings_1json__JsonSchema="" /></VisualStudio></ProjectExtensions>


</Project>
